curl -X POST https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-03-01" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Seller Name",
"email": "new-email@example.com"
}'
curl -X POST https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-03-01" \
-H "Content-Type: application/json" \
-d '{
"default_address": {
"address_line_1": "456 New Street",
"address_city": "Los Angeles",
"address_province": "CA",
"address_postal_code": "90001",
"address_country": "US"
}
}'
{
"id": "merch_1765503753979c37c5f24",
"object": "tax.merchant",
"reference_merchant_id": "my-seller-123",
"name": "Updated Seller Name",
"email": "new-email@example.com",
"default_address": {
"address_line_1": "123 Main St",
"address_city": "San Francisco",
"address_province": "CA",
"address_postal_code": "94105",
"address_country": "US"
},
"tax_ids": [],
"status": "active",
"testmode": true,
"created_at": 1735689600,
"updated_at": 1735690000
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
Update Merchant
Update a merchant’s information
curl -X POST https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-03-01" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Seller Name",
"email": "new-email@example.com"
}'
curl -X POST https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-03-01" \
-H "Content-Type: application/json" \
-d '{
"default_address": {
"address_line_1": "456 New Street",
"address_city": "Los Angeles",
"address_province": "CA",
"address_postal_code": "90001",
"address_country": "US"
}
}'
{
"id": "merch_1765503753979c37c5f24",
"object": "tax.merchant",
"reference_merchant_id": "my-seller-123",
"name": "Updated Seller Name",
"email": "new-email@example.com",
"default_address": {
"address_line_1": "123 Main St",
"address_city": "San Francisco",
"address_province": "CA",
"address_postal_code": "94105",
"address_country": "US"
},
"tax_ids": [],
"status": "active",
"testmode": true,
"created_at": 1735689600,
"updated_at": 1735690000
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
reference_merchant_id after a merchant is created.Headers
2026-03-01.Path Parameters
merch_xxx) or your reference_merchant_id.Request Body
curl -X POST https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-03-01" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Seller Name",
"email": "new-email@example.com"
}'
curl -X POST https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-03-01" \
-H "Content-Type: application/json" \
-d '{
"default_address": {
"address_line_1": "456 New Street",
"address_city": "Los Angeles",
"address_province": "CA",
"address_postal_code": "90001",
"address_country": "US"
}
}'
{
"id": "merch_1765503753979c37c5f24",
"object": "tax.merchant",
"reference_merchant_id": "my-seller-123",
"name": "Updated Seller Name",
"email": "new-email@example.com",
"default_address": {
"address_line_1": "123 Main St",
"address_city": "San Francisco",
"address_province": "CA",
"address_postal_code": "94105",
"address_country": "US"
},
"tax_ids": [],
"status": "active",
"testmode": true,
"created_at": 1735689600,
"updated_at": 1735690000
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
2026-01-01 Path Parameters
The merchant ID (merch_xxx) or your reference_merchant_id
Body
Request body for updating a merchant. All fields are optional.
The merchant's business name
The merchant's email address
Merchant's default business address. Uses address_ prefix for field names.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
You can store arbitrary keys and values in the metadata. At most 50 keys; each key at most 255 characters; each value must be a string of at most 255 characters (non-string values are rejected).
Show child attributes
Show child attributes
Response
Merchant updated successfully
The internal merchant ID
"merch_1765503753979c37c5f24"
"tax.merchant"
Your external ID for this merchant
"my-seller-123"
"Acme Seller Co"
"seller@example.com"
Merchant's default business address. Uses address_ prefix for field names.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
active, deleted "active"
Whether this merchant was created in test mode
Unix timestamp of creation
Unix timestamp of last update
You can store arbitrary keys and values in the metadata. At most 50 keys; each key at most 255 characters; each value must be a string of at most 255 characters (non-string values are rejected).
Show child attributes
Show child attributes